extends ../index

block css
    //- <!-- wysiwyg -->
    link(href='https://cdn.quilljs.com/1.3.6/quill.snow.css' rel='stylesheet')
    link(href='//cdn.quilljs.com/1.3.6/quill.bubble.css' rel='stylesheet')



block body

    h3 #{my_new.title}

    // - For que muestra el body, si un elemento es url lo renderiza como imagen:
    //- -for (var i = 0; i < my_new.body.length; i++)
    //-     - if(my_new.body[i].substr(0, 4) == 'http'){
    //-         img(src=my_new.body[i] alt='Imagen no disponible' style="width: 100%;height: auto") 
    //-         p
    //-     - } else {
    //-         p #{my_new.body[i]}
    //-     - }
    p #{my_new.body[1]}
    p
    img(src=my_new.body[0] alt='Imagen no disponible' style="width: 40%;height: auto") 
    p
    hr
    //- h3 Noticia de editor WYSIWYG:
    input(id='editor_content' name='editor_content' type='hidden' value=my_new.body_editor)
    #editor

    //- If que analiza si el usuario actual está logueado:
    - if (true){
        p Ingrese su comentario:
        form(action='/comment_create/'+news_id+'/'+user_id method='post' onsubmit='return validateForm()' name='commentForm')
            .form-group
                input#form11.form-control(type='text' placeholder='Escribir texto' name='new_comment')
            .form-group
                input#form11.form-control(type='submit' value='Enviar')
    -}

    p Comentarios:
    -if (typeof(comments_array) !== 'undefined'){
        -for (var i = 0; i < comments_array.length; i++)

            div.alert.alert-warning 
                h6(style='color:gray;font-size:18px;') #{comments_array[i].nombre_user} dice:
                h6 #{comments_array[i].body}
                p(style='color:gray;font-size:11px;margin:0px') Escrito el #{comments_array[i].date}
    -}else{
        p No hay comentarios en esta noticia.
    -}


    //- WYSIWYG:
    script(src='https://cdn.quilljs.com/1.3.6/quill.js')
    script(src='//cdn.quilljs.com/1.3.6/quill.min.js')
    script(src='https://cdn.jsdelivr.net/npm/quill-image-resize-module@3.0.0/image-resize.min.js')
    script(src='https://cdn.jsdelivr.net/npm/quill-video-resize-module@1.0.2/video-resize.min.js')

    script.
        // WYSIWYG:
        // quill wysiwyg editor object:
        var quill = new Quill('#editor', {
            theme: 'bubble',
        });

        //- COLOCANDO CONTENIDO DENTRO DEL EDITOR WYSIWYG
        var hiddenInput = document.getElementById('editor_content').value;
        hiddenInput = JSON.parse(hiddenInput);   
        quill.setContents(
            hiddenInput.ops
        );

        quill.enable(false)


        function validateForm() {
            var x = document.forms["commentForm"]["new_comment"].value;
            if (x == "") {
                alert("Debes llenar el campo de comentario");
                return false;
            }
            }